"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "Makefile.in" between
gpgme-1.15.0.tar.bz2 and gpgme-1.15.1.tar.bz2

About: GPGME (GnuPG Made Easy) is a library that provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.

Makefile.in  (gpgme-1.15.0.tar.bz2):Makefile.in  (gpgme-1.15.1.tar.bz2)
skipping to change at line 444 skipping to change at line 444
runstatedir = @runstatedir@ runstatedir = @runstatedir@
sbindir = @sbindir@ sbindir = @sbindir@
sharedstatedir = @sharedstatedir@ sharedstatedir = @sharedstatedir@
srcdir = @srcdir@ srcdir = @srcdir@
sysconfdir = @sysconfdir@ sysconfdir = @sysconfdir@
target_alias = @target_alias@ target_alias = @target_alias@
top_build_prefix = @top_build_prefix@ top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@ top_srcdir = @top_srcdir@
# Location of the released tarball archives. Note that this is an # Location of the released tarball archives. This is prefixed by
# internal archive and before uploading this to the public server, # the variable RELEASE_ARCHIVE in ~/.gnupg-autogen.rc. For example:
# manual tests should be run and the git release tat set and pushed. # RELEASE_ARCHIVE=user@host:archive/tarballs
# Adjust as needed. RELEASE_ARCHIVE_SUFFIX = gpgme
RELEASE_ARCHIVE_DIR = wk@vigenere:tarballs/gpgme/ # The variable RELEASE_SIGNKEY in ~/.gnupg-autogen.rc is used
# to specify the key for signing. For example:
# The key used to sign the released sources. Adjust as needed. # RELEASE_SIGNKEY=D8692123C4065DEA5E0F3AB5249B39D24F25E3B6
RELEASE_SIGNING_KEY = D8692123C4065DEA5E0F3AB5249B39D24F25E3B6
# Autoconf flags # Autoconf flags
ACLOCAL_AMFLAGS = -I m4 ACLOCAL_AMFLAGS = -I m4
DISTCHECK_CONFIGURE_FLAGS = DISTCHECK_CONFIGURE_FLAGS =
EXTRA_DIST = autogen.sh autogen.rc gpgme.spec.in \ EXTRA_DIST = autogen.sh autogen.rc gpgme.spec.in \
ChangeLog-2011 m4/ChangeLog-2011 \ ChangeLog-2011 m4/ChangeLog-2011 \
conf/whatisthis VERSION conf/whatisthis VERSION
@RUN_GPG_TESTS_FALSE@tests = @RUN_GPG_TESTS_FALSE@tests =
@RUN_GPG_TESTS_TRUE@tests = tests @RUN_GPG_TESTS_TRUE@tests = tests
skipping to change at line 998 skipping to change at line 997
if [ "$(abs_top_builddir)" = "$(abs_top_srcdir)" ]; then \ if [ "$(abs_top_builddir)" = "$(abs_top_srcdir)" ]; then \
echo "error: build directory must not be the source directory" >&2;\ echo "error: build directory must not be the source directory" >&2;\
exit 2;\ exit 2;\
fi ;\ fi ;\
echo "/* Build started at $$(date -uIseconds) */" ;\ echo "/* Build started at $$(date -uIseconds) */" ;\
cd $(top_srcdir); \ cd $(top_srcdir); \
./autogen.sh --force; \ ./autogen.sh --force; \
cd $(abs_top_builddir); \ cd $(abs_top_builddir); \
rm -rf dist; mkdir dist ; cd dist ; \ rm -rf dist; mkdir dist ; cd dist ; \
$(abs_top_srcdir)/configure --enable-maintainer-mode; \ $(abs_top_srcdir)/configure --enable-maintainer-mode; \
$(MAKE) distcheck TESTFLAGS=--parallel; \ $(MAKE) distcheck; \
echo "/* Build finished at $$(date -uIseconds) */" ;\ echo "/* Build finished at $$(date -uIseconds) */" ;\
echo "/*" ;\ echo "/*" ;\
echo " * Please run the final step interactively:" ;\ echo " * Please run the final step interactively:" ;\
echo " * make sign-release" ;\ echo " * make sign-release" ;\
echo " */" ;\ echo " */" ;\
) 2>&1 | tee "$(RELEASE_NAME).buildlog" ) 2>&1 | tee "$(RELEASE_NAME).buildlog"
sign-release: sign-release:
+(set -e; \ +(set -e; \
cd dist; \ cd dist; \
x=$$(grep '^RELEASE_ARCHIVE=' $$HOME/.gnupg-autogen.rc|cut -d= -f2);\
if [ -z "$$x" ]; then \
echo "error: RELEASE_ARCHIVE missing in ~/.gnupg-autogen.rc">&2; \
exit 2;\
fi;\
myarchive="$$x/$(RELEASE_ARCHIVE_SUFFIX)";\
x=$$(grep '^RELEASE_SIGNKEY=' $$HOME/.gnupg-autogen.rc|cut -d= -f2);\
if [ -z "$$x" ]; then \
echo "error: RELEASE_SIGNKEY missing in ~/.gnupg-autogen.rc">&2; \
exit 2;\
fi;\
mysignkey="$$x";\
files1="$(RELEASE_NAME).tar.bz2" ;\ files1="$(RELEASE_NAME).tar.bz2" ;\
files2="$(RELEASE_NAME).tar.bz2.sig \ files2="$(RELEASE_NAME).tar.bz2.sig \
$(RELEASE_NAME).swdb \ $(RELEASE_NAME).swdb \
$(RELEASE_NAME).buildlog" ;\ $(RELEASE_NAME).buildlog" ;\
echo "/* Signing the source tarball ..." ;\ echo "/* Signing the source tarball ..." ;\
gpg -sbu $(RELEASE_SIGNING_KEY) $(RELEASE_NAME).tar.bz2 ;\ gpg -sbu $$mysignkey $(RELEASE_NAME).tar.bz2 ;\
cat $(RELEASE_NAME).swdb >swdb.snippet;\ cat $(RELEASE_NAME).swdb >swdb.snippet;\
echo >>swdb.snippet ;\ echo >>swdb.snippet ;\
sha1sum $${files1} >>swdb.snippet ;\ sha1sum $${files1} >>swdb.snippet ;\
cat "../$(RELEASE_NAME).buildlog" swdb.snippet \ cat "../$(RELEASE_NAME).buildlog" swdb.snippet \
| gzip >$(RELEASE_NAME).buildlog ;\ | gzip >$(RELEASE_NAME).buildlog ;\
echo "Copying to local archive ..." ;\ echo "Copying to local archive ..." ;\
scp -p $${files1} $${files2} $(RELEASE_ARCHIVE_DIR)/ || true;\ scp -p $${files1} $${files2} $$myarchive/ || true;\
echo "Uploading documentation ..." ;\ echo "Uploading documentation ..." ;\
$(MAKE) -C doc online; \ $(MAKE) -C doc online; \
echo '/*' ;\ echo '/*' ;\
echo ' * All done; for checksums see dist/swdb.snippet' ;\ echo ' * All done; for checksums see dist/swdb.snippet' ;\
echo ' */' ;\ echo ' */' ;\
) )
# Tell versions [3.59,3.63) of GNU make to not export all variables. # Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded. # Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: .NOEXPORT:
 End of changes. 5 change blocks. 
11 lines changed or deleted 22 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)